<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>
        
        <variable
            name="item"
            type="String" />
        
    </data>
    
    <LinearLayout
        android:id="@+id/ll_item_rewards_active_root"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_rewards_white_15conner_bg"
            android:orientation="vertical"
            android:paddingLeft="@dimen/d_15dp"
            android:paddingRight="@dimen/d_15dp"
            android:paddingBottom="@dimen/d_25dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_20dp"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/iv_item_rewards_active_image"
                    android:layout_width="87dp"
                    android:layout_height="58dp"
                    android:scaleType="centerCrop"
                    android:background="@color/page_bg_f4" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingLeft="10dp">

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_item_rewards_active_title"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="-2dp"
                        android:ellipsize="end"
                        android:lines="2"
                        android:text="Cute children multifunctional umbrella Cute children multifunctional umbrellaCute children multifunctional umbrella"
                        android:textColor="@color/black"
                        android:textSize="@dimen/d_16sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_5dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:id="@+id/tv_item_rewards_active_point"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="300"
                            android:textColor="@color/profile_red"
                            android:textSize="@dimen/d_17sp" />

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:id="@+id/tv_item_rewards_active_original_point"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_5dp"
                            android:text="350"
                            android:textColor="@color/item_light_gray"
                            android:textSize="@dimen/d_14sp" />

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_5dp"
                            android:text="points"
                            android:textColor="@color/item_light_gray"
                            android:textSize="@dimen/d_15sp" />

                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>

            <!--Redeem from-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_10dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/d_19dp"
                    android:layout_height="@dimen/d_19dp"
                    android:scaleType="centerCrop"
                    android:src="@drawable/iv_promotion_rewards_redeem_from" />

                <com.guadou.lib_baselib.font_text_view.TextViewLight
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_8dp"
                    android:text="兑换时间:"
                    android:textColor="@color/item_light_gray"
                    android:textSize="@dimen/d_14sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewLight
                    android:id="@+id/tv_item_rewards_active_redeem_from"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_8dp"
                    android:text="17 Mar 2020 until 15 Jul 2020"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_14sp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_8dp"
                android:orientation="horizontal"
                android:visibility="gone">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/iv_rewards_non_refundable" />

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_8dp"
                    android:text="This Rewards is non-refundable."
                    android:textColor="@color/profile_red"
                    android:textSize="@dimen/d_14sp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_20dp"
                android:orientation="horizontal"
                android:visibility="gone">

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="0dp"
                    android:layout_height="@dimen/d_40dp"
                    android:layout_weight="1"
                    android:background="@drawable/shape_gray_bg_with_blue_border_line"
                    android:gravity="center"
                    android:text="Refund"
                    android:textColor="@color/app_blue"
                    android:textSize="@dimen/d_15sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="0dp"
                    android:layout_height="@dimen/d_40dp"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_weight="1"
                    android:background="@color/app_blue"
                    android:gravity="center"
                    android:text="兑换"
                    android:textColor="@color/white"
                    android:textSize="@dimen/d_15sp" />

            </LinearLayout>

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_item_rewards_active_redeem_now"
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_40dp"
                android:layout_marginTop="@dimen/d_20dp"
                android:background="@color/app_blue"
                android:gravity="center"
                android:text="兑换"
                android:textColor="@color/white"
                android:textSize="@dimen/d_15sp" />

        </LinearLayout>


        <ImageView
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_10dp"
            android:src="@color/page_bg_f4" />

    </LinearLayout>

</layout>